Package org.drinkless.tdlib

# Class TdApi.CancelDownloadFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.CancelDownloadFile

Enclosing class:
  `TdApi`

public static class TdApi.CancelDownloadFile extends TdApi.Function<TdApi.Ok>
Stops the downloading of a file. If a file has already been downloaded, does nothing.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `fileId`
  Identifier of a file to stop downloading.
  `boolean`
  `onlyIfPending`
  Pass true to stop downloading only if it hasn't been started, i.e.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CancelDownloadFile()`
  Default constructor for a function, which stops the downloading of a file.
  `CancelDownloadFile(int fileId, boolean onlyIfPending)`
  Creates a function, which stops the downloading of a file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileId

    public int fileId
    Identifier of a file to stop downloading.

  - ### onlyIfPending

    public boolean onlyIfPending
    Pass true to stop downloading only if it hasn't been started, i.e. request hasn't been sent to server.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CancelDownloadFile

    public CancelDownloadFile()
    Default constructor for a function, which stops the downloading of a file. If a file has already been downloaded, does nothing.

    Returns `Ok`

  - ### CancelDownloadFile

    public CancelDownloadFile(int fileId, boolean onlyIfPending)
    Creates a function, which stops the downloading of a file. If a file has already been downloaded, does nothing.

    Returns `Ok`

    Parameters:
      `fileId` - Identifier of a file to stop downloading.
      `onlyIfPending` - Pass true to stop downloading only if it hasn't been started, i.e. request hasn't been sent to server.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR